Subject: Re: `git-rev-parse master` not referred to by any ref?

From: "Shawn O. Pearce" <[email-masked]>
Date: Sun, 26 Aug 2007 18:28:52 -0400

Junio C Hamano <[email-masked]> wrote:
> Also, I *think* objects that are only reachable via ORIG_HEAD
> are not considered as reachable by fsck/prune --- we probably
> would want to fix this.

Probably.  But most users also have reflog enabled on HEAD in the
repository if they were to also have ORIG_HEAD there.  In such a
case ORIG_HEAD is usually HEAD@{1}, which is considered reachable
by fsck/prune/repack.

-- 
Shawn.